import request from "@/utils/request";

// 井身结构列表
export function listGcfa(query) {
  return request({
    url: "/jt/jtJsjgsj/list",
    method: "get",
    params: query,
  });
}
//井身结构图
export function jsjgPic(query) {
  return request({
    url: "/jt/jtJsjgsj/jsjgt",
    method: "get",
    params: query,
  });
}

//井身结构单个详情
export function jsjgDetail(id) {
  return request({
    url: "/jt/jtJsjgsj/" + id,
    method: "get",
    // params: query,
  });
}
//井身结构开次新增
export function jsjgAdd(query) {
  return request({
    url: "/jt/jtJsjgsj/addjsjgmb",
    method: "get",
    params: query,
  });
}
//选择套管
export function jsjgSelect(query) {
  return request({
    url: "/jtzj/jtzjTg/list",
    method: "get",
    params: query,
  });
}

//井身结构新增_开次
export function jsjgAddKc(data) {
  return request({
    url: "/jt/jtJsjgsj",
    method: "post",
    data: data,
  });
}
//井身结构编辑_开次
export function jsjgEditKc(data) {
  return request({
    url: "/jt/jtJsjgsj",
    method: "put",
    data: data,
  });
}
// 井身结构新增_整体
export function jsjgAddAll(data) {
  return request({
    url: "/jt/jtJsjgsj/addZt",
    method: "post",
    data: data,
  });
}
// 井身结构更新_整体
export function jsjgUpdateAll(data) {
  return request({
    url: "/jt/jtJsjgsj/editZt",
    method: "post",
    data: data,
  });
}
//井身结构删除
export function deleteJsjg(id) {
  return request({
    url: "/jt/jtJsjgsj/" + id,
    method: "delete",
  });
}
// 钻机 钻机信息
export function listZjxx(query) {
  return request({
    url: "/jt/jtZjpz/list",
    method: "get",
    params: query,
  });
}
//钻机信息新增
export function addZjxx(data) {
  return request({
    url: "/jt/jtZjpz",
    method: "post",
    data: data,
  });
}
//钻机信息更新
export function updateZjxx(data) {
  return request({
    url: "/jt/jtZjpz",
    method: "put",
    data: data,
  });
}
//地面降温系统
export function listDmjwxt(query) {
  return request({
    url: "/jt/jtDmjwxt/list",
    method: "get",
    params: query,
  });
}
//地面降温系统新增
export function listDmjwxtxz(data) {
  return request({
    url: "/jt/jtDmjwxt",
    method: "post",
    data: data,
  });
}
//地面降温信息更新
export function updateDmjwxtgx(data) {
  return request({
    url: "/jt/jtDmjwxt",
    method: "put",
    data: data,
  });
}
//顶驱
export function listDqpz(query) {
  return request({
    url: "/jt/jtDqpz/list",
    method: "get",
    params: query,
  });
} //顶驱新增
export function addDqpz(data) {
  return request({
    url: "/jt/jtDqpz",
    method: "post",
    data: data,
  });
}
//顶驱编辑
export function updateDqpz(data) {
  return request({
    url: "/jt/jtDqpz",
    method: "put",
    data: data,
  });
}
//选择厂商顶驱
export function listDqcs(query) {
  return request({
    url: "/jtzb/jtzbDq/list",
    method: "get",
    params: query,
  });
}
//选择泥浆泵厂商
export function listNjbcs(query) {
  return request({
    url: "/jtzb/jtzbNjb/list",
    method: "get",
    params: query,
  });
}
//泥浆泵信息
export function listNjbxx(query) {
  return request({
    url: "/jt/jtNjbpz/list",
    method: "get",
    params: query,
  });
}
//新增泥浆泵
export function addNjbxx(data) {
  return request({
    url: "/jt/jtNjbpz",
    method: "post",
    data: data,
  });
}
//修改泥浆泵信息
export function updateNjbxx(data) {
  return request({
    url: "/jt/jtNjbpz",
    method: "put",
    data: data,
  });
}
//删除一个泥浆泵
export function deleteNjbxx(id) {
  return request({
    url: "/jt/jtNjbpz/" + id,
    method: "delete",
  });
}

//泥浆泵其他信息 地面管汇长度m  内径
export function listNjbQtxx(query) {
  return request({
    url: "/jt/jtNjbqt/list",
    method: "get",
    params: query,
  });
}

//新增 泥浆泵其他信息
export function addNjbQtxx(data) {
  return request({
    url: "/jt/jtNjbqt",
    method: "post",
    data: data,
  });
}

//编辑 泥浆泵其他信息
export function updateNjbQtxx(data) {
  return request({
    url: "/jt/jtNjbqt",
    method: "put",
    data: data,
  });
}
//方案参数查询
export function listFacs(query) {
  return request({
    url: "/jt/jtFacs/list",
    method: "get",
    params: query,
  });
}
//方案参数新增
export function addFacs(data) {
  return request({
    url: "/jt/jtFacs",
    method: "post",
    data: data,
  });
}
//方案参数更新
export function updateFacs(data) {
  return request({
    url: "/jt/jtFacs",
    method: "put",
    data: data,
  });
}

export function jsjgNewAdd(id) {
  return request({
    url: "/jt/jtNjbpz/" + id,
    method: "get",
  });
}
//新加泥浆填报

// 查询泥浆填报列表
export function listNjtb(query) {
  return request({
    url: "/jt/jtNjtb/list",
    method: "get",
    params: query,
  });
}

// 查询泥浆填报详细
export function getNjtb(id) {
  return request({
    url: "/jt/jtNjtb/" + id,
    method: "get",
  });
}

// 新增泥浆填报
export function addNjtb(data) {
  return request({
    url: "/jt/jtNjtb",
    method: "post",
    data: data,
  });
}

// 修改泥浆填报
export function updateNjtb(data) {
  return request({
    url: "/jt/jtNjtb",
    method: "put",
    data: data,
  });
}

// 删除泥浆填报
export function delNjtb(id) {
  return request({
    url: "/jt/jtNjtb/" + id,
    method: "delete",
  });
}
